## net.sf.statcvs.input
Class RepositoryFileManager

    java.lang.Object
      net.sf.statcvs.input.RepositoryFileManager

    public class RepositoryFileManager

extends java.lang.Object

Manages a checked-out repository and provides access to line number counts for repository files.

Version:
  $Id: RepositoryFileManager.java,v 1.27 2009/08/20 17:44:05 benoitx Exp $
Author:
  Manuel Schulze, Steffen Pingel

Constructor Summary
`RepositoryFileManager(java.lang.String pathName)` Creates a new instance with root at `pathName`.

Method Summary
`int` `getLinesOfCode(java.lang.String filename)` Returns the lines of code for a repository file.
`java.lang.String` `getRevision(java.lang.String filename)` Returns the revision of filename in the local working directory by reading the CVS/Entries file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryFileManager

    public RepositoryFileManager(java.lang.String pathName)

  Creates a new instance with root at `pathName`.

  Parameters:
    `pathName` - the root of the checked out repository

Method Detail

### getLinesOfCode

    public int getLinesOfCode(java.lang.String filename)
                       throws NoLineCountException

  Returns the lines of code for a repository file.

  Parameters:
    `filename` - a file in the repository
  Returns:
    the lines of code for a repository file
  Throws:
    `NoLineCountException` - when the line count could not be retrieved, for example when the file was not found.

### getRevision

    public java.lang.String getRevision(java.lang.String filename)
                                 throws java.io.IOException

  Returns the revision of filename in the local working directory by reading the CVS/Entries file.

  Parameters:
    `filename` - the filename
  Returns:
    the revision of filename
  Throws:
    `java.io.IOException`